# logging settings for spring framework
logging.level.org.springframework.web=INFO
#logging.level.org.springframework.web=DEBUG
# client settings

# settings
setting1=st1
setting2=st2

# whether to activate default security or not (0 = off, 1 = on)
# this is a dirty config setting, to be removed in production
#security.activation.status=1
security.activation.status=0
# basic auth credentials
security.user.name=<user>
security.user.password=<password>

# basic header DPOS K&E credentials, the password is generated computing base64 of <your_user>:<your_password>
# for instance, the following corresponds to user:password in base64
security.user.dposHeader=Authorization
security.user.dposUsrPassword=Basic dXNlcjpwYXNzd29yZA==

# basic header FHE K&E credentials, the password is generated computing base64 of <your_user>:<your_password>
# for instance, the following corresponds to user:password in base64
security.user.fheHeader=Authorization
security.user.fheUsrPassword=Basic dXNlcjpwYXNzd29yZA==


# rest endpointsa
rest.endpoint.url.callGet=http://localhost:8080/v1/bundle/{param}/									
rest.endpoint.url.callGetDPOSEncryption=https://<css-domain>:8443/dpos-encryption/v1
rest.endpoint.url.callGetFHEKeys=https://<css-domain>:8443/fhe-keys/v1

#CNR PROD
rest.endpoint.url.callFheLocalhostBaseEndpoint=https://<isi-domain>/fhe-cingulata/v1
rest.endpoint.url.callFheBLAnalysisBase=https://<iai-domain>:8443/fhe-conn-malicious-host/v1
rest.endpoint.url.callFheKeyCoreBase=https://<css-domain>:8443

#FHE Encryption Path
rest.endpoint.url.callFheCheckKeyUrl=/fhe-keys/v1/fhe/key/isExisted/{RequestId}/dsa/{DSAId}/scheme/{FHEModel}
rest.endpoint.url.callFheBaseGetKeyUrl=/fhe-keys/v1/fhe/key/FHE_PUBKEY/get/{RequestId}/dsa/{DSAId}/scheme/{FHEModel}
rest.endpoint.url.callFheBaseGetSkKeyUrl=/fhe-keys/v1/fhe/key/FHE_SECRETKEY/get/{RequestId}/dsa/{DSAId}/scheme/{FHEModel}
rest.endpoint.url.callFheBaseCreateKeyUrl=/fhe-keys/v1/fhe/key/create/{RequestId}/dsa/{DSAId}/scheme/{FHEModel}

# Specific settings (created at build time from Maven pom.xml)
info.app.project=K&E Manager Project for defining API Management 
info.build.artifact=@project.artifactId@
info.build.name=@project.name@
info.build.description=@project.description@
info.build.version=@project.version@

springfox.documentation.swagger.v2.path=/api-docs
server.contextPath=/v1
server.port=8080
#spring.jackson.date-format=fr.cea.kemanager.RFC3339DateFormat
spring.jackson.serialization.WRITE_DATES_AS_TIMESTAMPS=false
